MDBASE
------

MDBASE joins and processes data from multiple XLSX databases.

* The XLSX databases:
    - MS Excel files with similar structure.
    - Similar structure = the same columns names.
* The joining of databases:
    - The databases are auto-joined into one pandas.DataFrame object.
* The processing of joined databases:
	- Correlations: statistical plots + correlation coefficients and p-values.
	- Comparisons: boxplots + statistical significance of different groups.
* Example of usage and more details:
	- *Polymers*, submitted (revisions requested).
	- If you use MCREEP in your research, **please cite** the publication above.

Quick start
-----------
1. Installation: `pip install mdbase`
2. Introductory examples: see
   [GitHub Pages](https://mirekslouf.github.io/mdbase/docs).

Installation, documentation and examples
----------------------------------------
* MDBASE is available at
  [PyPI](https://pypi.org/project/mdbase/)
  &rArr; installation: `pip install mdbase`
* Home page of the project is at
  [GitHub](https://github.com/mirekslouf/mdbase/) 
  and [GitHub pages](https://mirekslouf.github.io/mdbase/).
* [Docs and examples](https://mirekslouf.github.io/mdbase/docs/)
  are summarized at GitHub pages.
* All modules, classes and functions are documented by docstrings.
* [Full documentation](https://mirekslouf.github.io/mdbase/docs/pdoc.html/index.html)
  was auto-generated from docstrings by [PDoc](https://pdoc.dev).

Versions of MDBASE
------------------
* Version 0.1 = complete, working, but without documentation
* Version 0.2 = several minor improvements + basic documentation
